#
# spec file for package muparser
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           muparser
%define lname	libmuparser2_2_5
Version:        2.2.5
Release:        bp154.1.48
Summary:        A math parser library
License:        MIT
Group:          Productivity/Scientific/Math
Url:            http://muparser.beltoforion.de/

Source:         https://github.com/beltoforion/muparser/archive/v%version.tar.gz
Source9:        prepare-tar.sh
Source1:        baselibs.conf
Patch1:         muparser-optflags.patch
Patch2:         muparser-abiversion.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pkg-config

%description
muParser is an extensible high performance math parser library written in
C++. It works by transforming a mathematical expression into bytecode and
precalculating constant parts of the expression.

%package -n %lname
Summary:        Library to evaluate strings as mathematical functions
Group:          System/Libraries

%description -n %lname
muParser is an extensible high performance math parser library written in
C++. It works by transforming a mathematical expression into bytecode and
precalculating constant parts of the expression.

%package devel
Summary:        Development files for muparser
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
muParser is an extensible high performance math parser library written in
C++. It works by transforming a mathematical expression into bytecode and
precalculating constant parts of the expression.

%prep
%setup -q
%patch -P 1 -P 2 -p1

%build
sh build/autoconf/acregen.sh
%configure --enable-samples --enable-shared
# bakafile not parallel sife - duh
make -j1

%install
make install DESTDIR="%buildroot"
rm -f "%buildroot/%_libdir"/*.la

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%_libdir/libmuparser.so.2*
%doc License.txt

%files devel
%defattr(-,root,root)
%_includedir/muParser*.h
%_libdir/libmuparser.so
%_libdir/pkgconfig/muparser.pc
%doc Changes.txt

%changelog
* Sun Nov 27 2016 aloisio@gmx.com
- Added baselibs.conf
* Sun Mar 13 2016 jengelh@inai.de
- Update to new upstream release 2.2.5
  * example2 extended to work with UNICODE character set
  * muChar_t in muParserDLL.h was not set properly when UNICODE
  was used
* Mon Feb  2 2015 jengelh@inai.de
- Update to new upstream release 2.2.4
  * String constants did not work properly. Using more than a single
  one was impossible.
  * return type of ParserError::GetPos changed to int
  * Bulkmode did not evaluate properly if "=" and "," operator was
  used in the expression
- Add muparser-abiversion.diff
* Fri Jan 25 2013 jengelh@inai.de
- Update to new upstream release 2.2.3
  * fixed issue 3509860: Callbacks of functions with string
  parameters were called twice
- Remove muparser-fix-ac.diff, muparser-fix-undef.diff
  (merged upstream)
* Thu Nov 29 2012 jengelh@inai.de
- Updated homepage URL
* Thu Apr  5 2012 jengelh@medozas.de
- update to new upstream release 2.2.2
  * Retrieving all results of expressions made up of comma separate
  subexpressions is now possible with a new Eval overload.
  * Callback functions with fixed number of arguments can now have up
  to 10 parameters
  * ternary if-then-else operator added (C-like; "x?y:z")
  * new intrinsic binary operators: "&&", "||" (logical and, or)
  * A new bulkmode allows submitting large arrays as variables to
  compute large numbers of expressions with a single call.- enable
  parallel build
* Wed Nov 10 2010 aeszter@gwdg.de
- update to 1.34
* Tue Nov 17 2009 aeszter@gwdg.de
- fix parallel build
* Sun Aug 30 2009 lars@linux-schulserver.de
- build for openSUSE-Education
* Thu Apr  2 2009 uli@suse.de
- initial package
